## glfilterapp

glfilterapp

## Properties

gpointer | client-data | Write
gpointer | client-draw-callback | Write
gpointer | client-reshape-callback | Write

## Signals

gboolean | client-draw | Run Last

## Types and Values

struct | GstGLFilterApp

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseTransform
                        ╰── GstGLBaseFilter
                            ╰── GstGLFilter
                                ╰── GstGLFilterApp

## Description

The resize and redraw callbacks can be set from a client code.

#### CLient callbacks

The graphic scene can be written from a client code through the two glfilterapp properties.

#### Examples

see gst-plugins-gl/tests/examples/generic/recordgraphic

## Synopsis

### Element Information

plugin | opengl
author | Julien Isorce <julien.isorce@gmail.com>
class | Filter/Effect

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw(ANY), format=(string)RGBA, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ], texture-target=(string)2D
| video/x-raw(memory:GLMemory), format=(string)RGBA, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ], texture-target=(string)2D

name | src
direction | source
presence | always
details | video/x-raw(memory:GLMemory), format=(string)RGBA, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ], texture-target=(string)2D
| video/x-raw(ANY), format=(string)RGBA, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ], texture-target=(string)2D

## Functions

## Types and Values

### struct GstGLFilterApp

    struct GstGLFilterApp;

## Property Details

### The `“client-data”` property

      “client-data”              gpointer

Pass data to the draw and reshape callbacks.

Flags: Write

### The `“client-draw-callback”` property

      “client-draw-callback”     gpointer

Define a custom draw callback in a client code.

Flags: Write

### The `“client-reshape-callback”` property

      “client-reshape-callback”  gpointer

Define a custom reshape callback in a client code.

Flags: Write

## Signal Details

### The `“client-draw”` signal

    gboolean
    user_function (GstGLFilterApp *object,
                   guint           texture,
                   guint           width,
                   guint           height,
                   gpointer        user_data)

Will be emitted before to draw the texture. The client should redraw the surface/contents with the `texture` , `width` and `height` .

#### Parameters

object | the GstGLImageSink |
texture | the guint id of the texture. |
width | the guint width of the texture. |
height | the guint height of the texture. |
user_data | user data set when the signal handler was connected. |

#### Returns

whether the texture was redrawn by the signal. If not, a default redraw will occur.

Flags: Run Last